Commerce
Run a catalog sync now
Queues a full run. Poll GET /v1/commerce/catalog-syncs/{syncId} for the outcome.
PlatformsShopify
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.
In: header
Path Parameters
syncId*string
Response Body
application/json
application/json
application/json
import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.commerce.runCommerceCatalogSync({ path: { syncId: 'sync_abc123', },});console.log(data);{ "catalogSync": { "id": "string", "accountId": "string", "catalogPlatform": "meta", "catalogAccountId": "string", "catalogId": "string", "runStatus": "pending", "lastRunStartedAt": "2019-08-24T14:15:22Z", "lastRunFinishedAt": "2019-08-24T14:15:22Z", "lastError": "string", "itemsSent": 0, "itemsSkipped": 0, "itemsDeleted": 0, "createdAt": "2019-08-24T14:15:22Z" }}Was this page helpful?